Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000074Core InformListspublic2010-06-19 12:222010-07-01 23:07
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000074: Lists of more than 127 entries produce a compiler error
DescriptionLists with more than 127 entries produce the following compiler error. The source text provided uses a list of numbers, but I have also confirmed the problem using lists of text and of indexed text.

<This is the report produced by Inform 7 (build 6E59) on its most recent run through:

Problem. An internal error has occurred: excerpt too long for pair storage. The current sentence is 'The glyph map is {33, 1, 1, 1, 1, 1, 0, 1, 34, 1, 0, 1, 1, 0, 1, 35, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0, 1, 1, 1, 1' ; the error was detected at line 801 of "Chapter 12/Meaning Lists.w". This should never happen, and I am now halting in abject failure.
What has happened here is that one of the checks Inform carries out internally, to see if it is working properly, has failed. There must be a bug in this copy of Inform. It may be worth checking whether you have the current, up-to-date version. If so, please report this problem via www.inform7.com/bugs.>
Minimal Source Text To Reproduce
The glyph map is a list of numbers variable.

The glyph map is {
33,
1, 
1, 
1, 
1, 
1, 
0, 
1,  
34,
1, 0, 1, 
1, 0, 1,  
35,
0, 0, 1, 0, 1, 0, 0, 
0, 0, 1, 0, 1, 0, 0, 
1, 1, 1, 1, 1, 1, 1, 
0, 0, 1, 0, 1, 0, 0, 
1, 1, 1, 1, 1, 1, 1, 
0, 0, 1, 0, 1, 0, 0, 
0, 0, 1, 0, 1, 0, 0,  
36,
0, 0, 1, 0, 0, 
0, 1, 1, 1, 1, 
1, 0, 1, 0, 0, 
0, 1, 1, 1, 0, 
0, 0, 1, 0, 1, 
1, 1, 1, 1, 0, 
0, 0, 1, 0, 0,
37,
0, 1, 0, 0, 0, 0, 1, 
1, 0, 1, 0, 0, 1, 0, 
0, 1, 0, 0, 1, 0, 0, 
0, 0, 0, 1, 0, 0, 0, 
0, 0, 1, 0, 0, 1, 0, 
0, 1, 0, 0, 1, 0, 1, 
1, 0, 0, 0, 0, 1, 0 }.
	
Test is a room.
Additional InformationThis was not an issue as of 6E37, which like previous builds could support lists of several thousand entries.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000061)
graham (administrator)
2010-06-19 14:54

This in fact didn't work perfectly for long constant lists in previous builds, but probably looked as if it did; ironically the internal error here was meant as a tripwire to detect something which, wrongly, I thought couldn't happen, but had not defended against in earlier builds. At any rate, the relevant code has been reworked, and constant lists can now be of arbitrary size.

- Issue History
Date Modified Username Field Change
2010-06-19 12:22 ektemple New Issue
2010-06-19 12:40 jmcgrew Status new => confirmed
2010-06-19 14:20 jmcgrew Priority immediate => normal
2010-06-19 14:54 graham Note Added: 0000061
2010-06-19 14:54 graham Status confirmed => resolved
2010-06-19 14:54 graham Resolution open => fixed
2010-06-19 14:54 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker